Subject: Re: bug#8964: 24.0.50; `find-file' triggers the debugger when called with a nonexistent remote file

From: Dani Moncayo <[email-masked]>
Date: Thu, 30 Jun 2011 20:52:37 +0200

>> > How is it possible?  I.e., why "C-h v" gives a different value than "M-:"?
>> >
>> > And why "M-: debug-on-error RET" returns `t' even after doing (setq
>> > debug-on-error nil)?
>>
>> Because of eval-expression-debug-on-error, I think.
>
> Of course.  And that's also the reason why evaluating something like
> `(find-file "foo")' will run with debug-on-error set non-nil, and
> that's why ange-ftp enters the debugger when it signals an error.
>
> IOW, not a bug, like I said.

Eli, Glenn, thanks for your explanations.  I understand it now.

You can close this bug.

-- 
Dani Moncayo